# generated by cabal-rpm-2.0.11 --subpackage
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

%global formatnumbers format-numbers-0.1.0.1
%global subpkgs %{formatnumbers}

# requires network
%bcond_with tests

Name:           koji-tool
Version:        0.8.1
# can only be reset when all subpkgs bumped
Release:        1%{?dist}
Summary:        Koji CLI tool for querying tasks and installing builds

License:        BSD
Url:            https://hackage.haskell.org/package/%{name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{formatnumbers}/%{formatnumbers}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros-extra
BuildRequires:  ghc-Glob-static
BuildRequires:  ghc-base-static
BuildRequires:  ghc-directory-static
BuildRequires:  ghc-extra-static
BuildRequires:  ghc-filepath-static
#BuildRequires:  ghc-format-numbers-static
BuildRequires:  ghc-http-conduit-static
BuildRequires:  ghc-http-directory-static
BuildRequires:  ghc-koji-static
BuildRequires:  ghc-pretty-simple-static
BuildRequires:  ghc-rpm-nvr-static
BuildRequires:  ghc-simple-cmd-static
BuildRequires:  ghc-simple-cmd-args-static
BuildRequires:  ghc-text-static
BuildRequires:  ghc-time-static
BuildRequires:  ghc-utf8-string-static
BuildRequires:  ghc-xdg-userdirs-static
# End cabal-rpm deps
# for missing dep format-numbers:
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-text-prof

%description
Koji-tool is a CLI interface to Koji with commands to query builds, tasks,
install rpms, and track buildlog sizes.

Koji is the RPM-based buildsystem of Fedora Linux and CentOS.


%global main_version %{version}

%if %{defined ghclibdir}
%ghc_lib_subpackage %{formatnumbers}
%endif

%global version %{main_version}


%prep
# Begin cabal-rpm setup:
%setup -q -a1
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_libs_build %{subpkgs}
%ghc_bin_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_libs_install %{subpkgs}
%ghc_bin_install
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions/
%{buildroot}%{_bindir}/%{name} --bash-completion-script %{name} | sed s/filenames/default/ > %{buildroot}%{_datadir}/bash-completion/completions/%{name}
# End cabal-rpm install


%check
%if %{with tests}
%cabal_test
%endif


%files
# Begin cabal-rpm files:
%license LICENSE
%doc ChangeLog.md README.md TODO
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/%{name}
# End cabal-rpm files


%changelog
* Tue Mar 22 2022 Jens Petersen <petersen@redhat.com> - 0.8.1-1
- query results ordered by taskid or buildid for speed
- 'builds', 'tasks': argument is now a package (not build pattern)
- 'install': add a --yes option to avoid questions (#2)
- print archs appended with '.' prefix

* Wed Jan 26 2022 Jens Petersen <petersen@redhat.com> - 0.7-1
- query: new options: '--package' to search recent builds and '--latest'
- query --method: now defaults to buildArch (use 'any' to include all)
- query: now defaults to "--before now" (instead of "--from today 00:00")
- query --arch: map i686 to i386 and armv7hl to armhfp
- query: do not drop tasks without string request

* Fri Jan 14 2022 Jens Petersen <petersen@redhat.com> - 0.6.1-1
- install --list: now lists the rpms of a unique nvr
- install --list: new --latest option which only finds the latest build
- install --nv: now actually looks for N-V nor N-V-R
- install --exclude: don't exclude subpackage when a rpm package matches

* Thu Jan 13 2022 Jens Petersen <petersen@redhat.com> - 0.6-1
- new package derived from koji-install, koji-query and koji-progress
